### Signal

# WebKit2 PrintCustomWidget::apply

deprecated: 2.40 since: 2.16

#### Declaration

    void
    apply (
      WebKitPrintCustomWidget* self,
      gpointer user_data
    )

#### Description [src]

Emitted right before the printing will start. You should read the information from the widget and update the content based on it if necessary. The widget is not guaranteed to be valid at a later time.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.16
Deprecated since: 2.40
Please do not use it in newly written code.